{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Topological Atlas</title>
    <link rel="stylesheet" type="text/css" href="{% static  'codex_app/style/viz1.css' %}" />
</head>

<body>
    <div id="viewport">
        <div id="canvas-box"></div>
        <div id="highlight-term"></div>
        <div id="paragraphs"></div>
        <div id="silhouette"></div>
        <div id="tools"></div>
        <div id="path-box"></div>
        <div id="log-box"></div>
    </div>
</body>
<script type="module">
    import { main } from "{% static 'codex_app/js/viz1/index.js' %}";
    window.termIlluURL = (id) => `{% static "codex_app/illus/terms/" %}term-${id}.png`
    const images = {{ images| safe }};
    const image_annotations = {{ image_annotations | safe }};
    const paragraph_annotations = {{ paragraph_annotations | safe }};
    const terms = {{ terms| safe }};
    const places = {{ places| safe }};
    const paths = {{ paths| safe }};
    const transitionals = {{ transitionals | safe }};
    const categories = {{ categories| safe }};
    main({
        "app/mode": "viz1",
        images,
        terms,
        places,
        categories,
        paths,
        transitionals,
        "annotations/image": image_annotations,
        "annotations/paragraph": paragraph_annotations,
        "app/csrf": "{{ csrf_token }}",
    });
</script>

</html>